/* HTML Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    animation: shake 2.5s;
    height: 100vh;
    background-image: url(../img/main/Background.jpg);
    background-size: cover;
    position: relative;
}
/* Main Screen */
.menu {
    animation-name: toLeft;
    animation-duration: 2.5s;
    animation-timing-function: ease-out;
    height: 40vh;
    width: 80vh;
    top: 45%;
    left: 55%;
    background-image: url(../img/main/step11.png);
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
}

.play-button:link,
.play-button:visited {
    animation-name: toRight;
    animation-duration: 2.5s;
    animation-timing-function: ease-out;
    background-image: url(../img/main/step12.png);
    height: 10vh;
    width: 20vh;
    top: 95%;
    left: 37%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.play-button:hover {
    background-image: url(../img/main/step13.png);
}
/* Animation */
@keyframes toLeft{
    0% {
        opacity: 0;
        transform: translate(42%, 50%);
    }

    100% {
        opacity: 1;
        transform:  translate(-50%, -50%);
    }
}

@keyframes toRight{
    0% {
        opacity: 0;
        transform: translate(-42%, 50%);
    }

    100% {
        opacity: 1;
        transform:  translate(-50%, -50%);
    }
}

@keyframes shake {
    0% { transform: translate(1px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(3px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(3px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(1px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
}
/* Character Choose Screen */
.selection {
    height: 60vh;
    width: 75vh;
    top: 45%;
    left: 50%;
    background-image: url(../img/selection/step21.png);
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: none;
}

.close-button:link,
.close-button:visited {
    background-image: url(../img/selection/step23a.png);
    height: 5vh;
    width: 5vh;
    top: 15%;
    left: 94%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.close-button:hover {
    background-image: url(../img/selection/step23b.png);
}

.char-button-1:link,
.char-button-1:visited {
    background-image: url(../img/selection/step25a.png);
    height: 30vh;
    width: 15vh;
    top: 65%;
    left: 20%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.char-button-1:hover {
    background-image: url(../img/selection/step25b.png);
}

.char-button-1:focus {
    background-image: url(../img/selection/step25c.png);
}

.char-button-2:link,
.char-button-2:visited {
    background-image: url(../img/selection/step26a.png);
    height: 30vh;
    width: 15vh;
    top: 65%;
    left: 47.5%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.char-button-2:hover {
    background-image: url(../img/selection/step26b.png);
}

.char-button-2:focus {
    background-image: url(../img/selection/step26c.png);
}

.char-button-3:link,
.char-button-3:visited {
    background-image: url(../img/selection/step210a.png);
    height: 30vh;
    width: 15vh;
    top: 65%;
    left: 75%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.char-button-3:hover {
    background-image: url(../img/selection/step210b.png);
}

.char-button-3:focus {
    background-image: url(../img/selection/step210c.png);
}

.check-button:link,
.check-button:visited {
    background-image: url(../img/selection/step24a.png);
    height: 10vh;
    width: 10vh;
    top: 100%;
    left: 48%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.check-button:hover {
    background-image: url(../img/selection/step24b.png);
}
.check-button:active {
    transform: translate(-50%, -49%);
}
/* Game Screen */
.gameScreen {
    display: none;
}

.playerTimer{
    height: 22vh;
    width: 46vh;
    top: 20%;
    left: 20.5%;
    transform: translate(-50%, -50%);
    background-image: url(../img/gamescreen/step31.png);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
}

.playerInfo {
    height: 20vh;
    width: 36vh;
    top: 20%;
    left: 17.5%;
    transform: translate(-50%, -50%);
    background-image: url(../img/gamescreen/step32.png);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
}

#playerLife {
    top: -1.5vh;
    left: 14vh;
    height: 6vh;
    width: 17vh;
    /* background-image: url(../img/gamescreen/avatar1right.png); */
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
}

.playerAvatar {
    top: 5vh;
    left: 6.5vh;
    height: 6vh;
    width: 6vh;
    background-image: url(../img/gamescreen/avatar1right.png);
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
}

.main-menu-button:link,
.main-menu-button:visited {
    background-image: url(../img/gamescreen/step33.png);
    height: 20vh;
    width: 20vh;
    top: 80%;
    left: 17.5%;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}

.main-menu-button:hover {
    background-image: url(../img/gamescreen/step34.png);
}

#canvas {
    height: 700px;
    width: 750px;
    top: 10%;
    left: 40%;
    background-image: url(../img/gamescreen/step35.png);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    display: inline-block;
}
